Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.rds.model
Class CreateDBSecurityGroupRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.rds.model.CreateDBSecurityGroupRequest

    public class CreateDBSecurityGroupRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreateDBSecurityGroup operation`.

This API creates a new database security group. Database Security groups control access to a database instance.

See Also:
  `AmazonRDS.createDBSecurityGroup(CreateDBSecurityGroupRequest)`

Constructor Summary
`CreateDBSecurityGroupRequest()`

Method Summary
`String` | `getDBSecurityGroupDescription()` The description for the DB Security Group.
`String` | `getDBSecurityGroupName()` The name for the DB Security Group.
`void` | `setDBSecurityGroupDescription(String dBSecurityGroupDescription)` The description for the DB Security Group.
`void` | `setDBSecurityGroupName(String dBSecurityGroupName)` The name for the DB Security Group.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateDBSecurityGroupRequest` | `withDBSecurityGroupDescription(String dBSecurityGroupDescription)` The description for the DB Security Group.
`CreateDBSecurityGroupRequest` | `withDBSecurityGroupName(String dBSecurityGroupName)` The name for the DB Security Group.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateDBSecurityGroupRequest

    public CreateDBSecurityGroupRequest()

Method Detail

### getDBSecurityGroupName

    public String getDBSecurityGroupName()

  The name for the DB Security Group. This value is stored as a lowercase string.

  Returns:
    The name for the DB Security Group. This value is stored as a lowercase string.

### setDBSecurityGroupName

    public void setDBSecurityGroupName(String dBSecurityGroupName)

  The name for the DB Security Group. This value is stored as a lowercase string.

  Parameters:
    `dBSecurityGroupName` - The name for the DB Security Group. This value is stored as a lowercase string.

### withDBSecurityGroupName

    public CreateDBSecurityGroupRequest withDBSecurityGroupName(String dBSecurityGroupName)

  The name for the DB Security Group. This value is stored as a lowercase string.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroupName` - The name for the DB Security Group. This value is stored as a lowercase string.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDBSecurityGroupDescription

    public String getDBSecurityGroupDescription()

  The description for the DB Security Group.

  Returns:
    The description for the DB Security Group.

### setDBSecurityGroupDescription

    public void setDBSecurityGroupDescription(String dBSecurityGroupDescription)

  The description for the DB Security Group.

  Parameters:
    `dBSecurityGroupDescription` - The description for the DB Security Group.

### withDBSecurityGroupDescription

    public CreateDBSecurityGroupRequest withDBSecurityGroupDescription(String dBSecurityGroupDescription)

  The description for the DB Security Group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `dBSecurityGroupDescription` - The description for the DB Security Group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.